[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TOrderedList.Peek

Return the next element to be popped from the list.

## Declaration

Source position: contnrs.pp line 144

`public function TOrderedList.Peek: Pointer;`

## Function result

Next element to be popped from the list.

## Description

Peek returns the element that will be popped from the list at the next call to Pop, without actually popping it from the list.

## Errors

None.

## See also

TOrderedList.Pop |  | Remove an element from the list.
TOrderedList.Push |  | Push another element on the list.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.